﻿// WcfShareTestClient.h

#pragma once

#using <mscorlib.dll>
#using <System.ServiceModel.dll>
#using <System.Runtime.Serialization.dll>
#using <System.dll>

namespace TestServer
{

using namespace System::Security::Permissions;
[assembly:SecurityPermissionAttribute(SecurityAction::RequestMinimum, SkipVerification=false)];
using namespace System;
interface class ITestServer;
interface class ITestServerChannel;
ref class TestServerClient;


[System::CodeDom::Compiler::GeneratedCodeAttribute(L"System.ServiceModel", L"4.0.0.0"), 
System::ServiceModel::ServiceContractAttribute(ConfigurationName=L"TestServer.ITestServer", SessionMode=System::ServiceModel::SessionMode::Required)]
public interface class ITestServer
{
    
    [System::ServiceModel::OperationContractAttribute(Action=L"http://tempuri.org/ITestServer/GetClientInstanceNumber", ReplyAction=L"http://tempuri.org/ITestServer/GetClientInstanceNumberResponse")]
    System::Int32 GetClientInstanceNumber();
    
    [System::ServiceModel::OperationContractAttribute(Action=L"http://tempuri.org/ITestServer/GetSharedData", ReplyAction=L"http://tempuri.org/ITestServer/GetSharedDataResponse")]
    System::String^  GetSharedData(int nInstanceNumber);
    
    [System::ServiceModel::OperationContractAttribute(Action=L"http://tempuri.org/ITestServer/SetSharedData", ReplyAction=L"http://tempuri.org/ITestServer/SetSharedDataResponse")]
    System::Void SetSharedData(int nInstanceNumber, System::String^  strData);
    
    [System::ServiceModel::OperationContractAttribute(Action=L"http://tempuri.org/ITestServer/Detach", ReplyAction=L"http://tempuri.org/ITestServer/DetachResponse")]
    System::Void Detach(int nInstanceNumber);
};

[System::CodeDom::Compiler::GeneratedCodeAttribute(L"System.ServiceModel", L"4.0.0.0")]
public interface class ITestServerChannel : public ITestServer, public System::ServiceModel::IClientChannel
{
};

[System::Diagnostics::DebuggerStepThroughAttribute, 
System::CodeDom::Compiler::GeneratedCodeAttribute(L"System.ServiceModel", L"4.0.0.0")]
public ref class TestServerClient : public System::ServiceModel::ClientBase<ITestServer^ >, public ITestServer
{
public:
  TestServerClient();
  TestServerClient(System::String^  endpointConfigurationName);
  TestServerClient(System::String^  endpointConfigurationName, System::String^  remoteAddress);
  TestServerClient(System::String^  endpointConfigurationName, System::ServiceModel::EndpointAddress^  remoteAddress);
  TestServerClient(System::ServiceModel::Channels::Binding^  binding, System::ServiceModel::EndpointAddress^  remoteAddress);

  virtual System::Int32 GetClientInstanceNumber() sealed;
  virtual System::String^  GetSharedData(int nInstanceNumber) sealed;
  virtual System::Void SetSharedData(int nInstanceNumber, System::String^  strData) sealed;
  virtual System::Void Detach(int nInstanceNumber) sealed;


  // It insists on having implementations of the events, so I give it five dummies

public:
  virtual event EventHandler ^Closed;
  virtual event EventHandler ^Closing;
  virtual event EventHandler ^Faulted;
  virtual event EventHandler ^Opened;
  virtual event EventHandler ^Opening;
};







inline TestServerClient::TestServerClient()
{
}

inline TestServerClient::TestServerClient(System::String^  endpointConfigurationName) : 
        System::ServiceModel::ClientBase<ITestServer^ >(endpointConfigurationName)
{
}

inline TestServerClient::TestServerClient(System::String^  endpointConfigurationName, System::String^  remoteAddress) : 
        System::ServiceModel::ClientBase<ITestServer^ >(endpointConfigurationName, remoteAddress)
{
}

inline TestServerClient::TestServerClient(System::String^  endpointConfigurationName, System::ServiceModel::EndpointAddress^  remoteAddress) : 
        System::ServiceModel::ClientBase<ITestServer^ >(endpointConfigurationName, remoteAddress)
{
}

inline TestServerClient::TestServerClient(System::ServiceModel::Channels::Binding^  binding, System::ServiceModel::EndpointAddress^  remoteAddress) : 
        System::ServiceModel::ClientBase<ITestServer^ >(binding, remoteAddress)
{
}

inline System::Int32 TestServerClient::GetClientInstanceNumber()
{
    return __super::Channel->GetClientInstanceNumber();
}

inline System::String^  TestServerClient::GetSharedData(int nInstanceNumber)
{
    return __super::Channel->GetSharedData(nInstanceNumber);
}

inline System::Void TestServerClient::SetSharedData(int nInstanceNumber, System::String^  strData)
{
    __super::Channel->SetSharedData(nInstanceNumber, strData);
}

inline System::Void  TestServerClient::Detach(int nInstanceNumber)
{
    __super::Channel->Detach(nInstanceNumber);
}

}
